CellProfiler Pipeline: http://www.cellprofiler.org
Version:1
SVNRevision:11710

LoadImages:[module_num:1|svn_version:\'11587\'|variable_revision_number:11|show_window:False|notes:\x5B\'The APR pipeline consists of two pipelines. To run them right after the other, rather than loading and running each press File > Run Multiple pipelines. Then specify the pipeline and input/output folders for each pipeline in the dialog to make it work.\'\x5D]
    File type to be loaded:individual images
    File selection method:Text-Regular expressions
    Number of images in each group?:3
    Type the text that the excluded images have in common:Do not use
    Analyze all subfolders within the selected folder?:All
    Input image file location:Default Input Folder\x7CNone
    Check image sets for missing or duplicate files?:Yes
    Group images by metadata?:Yes
    Exclude certain files?:No
    Specify metadata fields to group by:Well
    Select subfolders to analyze:
    Image count:1
    Text that these images have in common (case-sensitive):.TIF
    Position of this image in each group:1
    Extract metadata from where?:File name
    Regular expression that finds metadata in the file name:^(?P<Plate>.*)_A(?P<Well>\x5BA-P\x5D\x5B0-9\x5D{2})_(?P<Seq>\x5B0-9\x5D{2})_p(?P<Site>\x5B0-9\x5D{2})c2.TIF
    Type the regular expression that finds metadata in the subfolder path:.*\x5B\\\\/\x5D(?P<Date>.*)\x5B\\\\/\x5D(?P<Run>.*)$
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:2
    Load the input as images or objects?:Images
    Name this loaded image:GhostCells
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:NucleiOutlines
    Channel number:1
    Rescale intensities?:Yes

Resize:[module_num:2|svn_version:\'10627\'|variable_revision_number:4|show_window:False|notes:\x5B\'The raw images are prohibitively large, so reisze them by 1/4 to save time/memory.\'\x5D]
    Select the input image:GhostCells
    Name the output image:Resized
    Select resizing method:Resize by a fraction or multiple of the original size
    Resizing factor:0.25
    Width of the final image, in pixels:100
    Height of the final image, in pixels:100
    Interpolation method:Bilinear
    How do you want to specify the dimensions?:Manual
    Select the image with the desired dimensions:None
    Additional image count:0

CorrectIlluminationCalculate:[module_num:3|svn_version:\'10458\'|variable_revision_number:2|show_window:False|notes:\x5B\'Fit a polynomial to the image to approximate the illumination pattern.\'\x5D]
    Select the input image:Resized
    Name the output image:IllumCalc
    Select how the illumination function is calculated:Regular
    Dilate objects in the final averaged image?:No
    Dilation radius:10
    Block size:60
    Rescale the illumination function?:Yes
    Calculate function for each image individually, or based on all images?:Each
    Smoothing method:Fit Polynomial
    Method to calculate smoothing filter size:Object size
    Approximate object size:20
    Smoothing filter size:10
    Retain the averaged image for use later in the pipeline (for example, in SaveImages)?:No
    Name the averaged image:IllumAvg
    Retain the dilated image for use later in the pipeline (for example, in SaveImages)?:No
    Name the dilated image:IllumDilated
    Automatically calculate spline parameters?:Yes
    Background mode:auto
    Number of spline points:5
    Background threshold:2
    Image resampling factor:2
    Maximum number of iterations:40
    Residual value for convergence:0.001

CorrectIlluminationApply:[module_num:4|svn_version:\'10300\'|variable_revision_number:3|show_window:False|notes:\x5B\'Correct for illumination distortion by dividing by the original image by the derived illumination pattern.\'\x5D]
    Select the input image:Resized
    Name the output image:CorrIm
    Select the illumination function:IllumCalc
    Select how the illumination function is applied:Divide

Tile:[module_num:5|svn_version:\'9034\'|variable_revision_number:1|show_window:False|notes:\x5B\'Stitch the individual corrected images into a moisaic.If you are aquiring your images in meander mode, make sure to click on the "Tile in meander mode" as well. \'\x5D]
    Select an input image:CorrIm
    Name the output image:TiledImage
    Tile within cycles or across cycles?:Across cycles
    Number of rows in final tiled image:5
    Number of columns in final tiled image:3
    Begin tiling in which corner of the final image?:top left
    Begin tiling across a row, or down a column?:row
    Tile in meander mode?:Yes
    Automatically calculate number of rows?:No
    Automatically calculate number of columns?:No

SaveImages:[module_num:6|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B\'Save the mosaic image and name it based on the plate/well/site info.\'\x5D]
    Select the type of image to save:Image
    Select the image to save:TiledImage
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:Single name
    Select image name for file prefix:plaque
    Enter single file name:Tiled_\\g<Plate>_\\g<Well>_\\g<Site>
    Do you want to add a suffix to the image file name?:Yes
    Text to append to the image name:outline
    Select file format to use:tif
    Output file location:Default Input Folder\x7COutlines
    Image bit depth:8
    Overwrite existing files without warning?:Yes
    Select how often to save:Last cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:No
    Create subfolders in the output folder?:No
